{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":545,"path":"api-reference/rest-apis/scim-api.md","title":"System for Cross-domain Identity Management \\(SCIM\\) API","bundle":null,"doc_type":null,"release":"australia","body":"\n# System for Cross-domain Identity Management \\(SCIM\\) API\n\nThe System for Cross-domain Identity Management \\(SCIM\\) API provides endpoints to create, read, update, and delete operations on users and groups using the SCIM protocol.\n\nThe SCIM protocol is an application-level HTTP-based protocol based on the HTTP \\[[RFC7230](https://datatracker.ietf.org/doc/html/rfc7230)\\] standard. Use this API for provisioning and managing identity data, such as users and groups, on the web and in cross-domain environments, such as enterprise-to-cloud service providers or inter-cloud scenarios.\n\nTo access this API, you must activate the SCIM v2 - ServiceNow® Cross-domain Identity Management \\(com.snc.integration.scim2\\) plugin.\n\n## Resource mapping\n\nThe SCIM service has six resources:\n\n-   User \\(core and extension\\)\n-   Group \\(core and extension\\)\n-   Company\n-   CostCenter\n-   Department\n-   Location\n\nMost of the attributes in these SCIM resources map to corresponding fields in an existing ServiceNow table. The following tables define these mappings. Attributes that do not correspond to fields in existing ServiceNow tables map to two SCIM-specific tables. For additional information on these tables, see [SCIM-specific tables](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/scim-api.md).\n\nThe SCIM User resource has both core \\(schema: urn:ietf:params:scim:schemas:core:2.0:User\\) and extension \\(urn:ietf:params:scim:schemas:extension:servicenow:2.0:User\\) schemas. Most of the User core and extension schema attributes map to the User \\[sys\\_user\\] table.\n\n|SCIM attribute name|User field name|\n|-------------------|---------------|\n|active|active|\n|addresses.country|country|\n|addresses.default.country|country|\n|addresses.home.country|country|\n|addresses.locality|city|\n|addresses.default.locality|city|\n|addresses.home.locality|city|\n|addresses.postalCode|zip|\n|addresses.default.postalCode|zip|\n|addresses.home.postalCode|zip|\n|addresses.region|state|\n|addresses.default.region|state|\n|addresses.home.region|state|\n|addresses.streetAddress|street|\n|addresses.default.streetAddress|street|\n|addresses.home.streetAddress|street|\n|displayName|name|\n|emails.value|email|\n|emails.default.value|email|\n|emails.work.value|email|\n|id|sys\\_id|\n|meta.created|sys\\_created\\_on|\n|meta.lastModified|sys\\_updated\\_on|\n|name.familyName|last\\_name|\n|name.givenName|first\\_name|\n|name.honorificPrefix|introduction|\n|name.middleName|middle\\_name|\n|phoneNumbers.value|phone|\n|phoneNumbers.home.value|home\\_phone|\n|phoneNumbers.mobile.value|mobile\\_phone|\n|phoneNumbers.work.value|phone|\n|preferredLanguage|preferred\\_language|\n|timezone|time\\_zone|\n|title|title|\n|userName|user\\_name|\n\n|SCIM attribute name|Sys Scim User field name|\n|-------------------|------------------------|\n|externalId|external\\_id|\n\nThe SCIM User extended schema \\(urn:ietf:params:scim:schemas:extension:servicenow:2.0:User\\) maps to the User \\[sys\\_user\\] table.\n\n|SCIM attribute name|User field name|\n|-------------------|---------------|\n|company.name|company.name|\n|company.value|company.sys\\_id|\n|costCenter.name|cost\\_center.name|\n|costCenter.value|cost\\_center.sys\\_id|\n|department.name|department.name|\n|department.value|department.sys\\_id|\n|employeeNumber|employee\\_number|\n|gender|gender|\n|location.name|location.name|\n|location.value|location.sys\\_id|\n|manager.displayName|manager.name|\n|manager.value|manager.sys\\_id|\n\nThe SCIM Group resource schema \\(urn:ietf:params:scim:schemas:core:2.0:Group\\) maps to the Group \\[sys\\_user\\_group\\] table.\n\n|SCIM attribute name|Group field name|\n|-------------------|----------------|\n|displayName|name|\n|id|sys\\_id|\n|meta.created|sys\\_created\\_on|\n|meta.lastModified|sys\\_updated\\_on|\n\nThe SCIM Group externalId parameter maps to the Sys Scim Group \\[sys\\_scim\\_group\\] table.\n\n|SCIM attribute name|Sys Scim Group field name|\n|-------------------|-------------------------|\n|externalId|external\\_id|\n\nThe SCIM Group ServiceNow extension schema \\(urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\\) maps to the Group \\[sys\\_user\\_group\\] table.\n\n|SCIM attribute name|Group field name|\n|-------------------|----------------|\n|company.value|company.sys\\_id|\n|company.name|company.name|\n\nThe SCIM Company resource schema \\(urn:ietf:params:scim:schemas:custom:servicenow:2.0:Company\\) maps to the Company \\[core\\_company\\] table.\n\n|SCIM attribute name|Company field name|\n|-------------------|------------------|\n|id|sys\\_id|\n|meta.created|sys\\_created\\_on|\n|meta.lastModified|sys\\_updated\\_on|\n|name|name|\n\nThe SCIM CostCenter resource schema \\(urn:ietf:params:scim:schemas:custom:servicenow:2.0:CostCenter\\) maps to the Cost Center \\[cmn\\_cost\\_center\\] table.\n\n|SCIM attribute name|Cost Center field name|\n|-------------------|----------------------|\n|id|sys\\_id|\n|meta.created|sys\\_created\\_on|\n|meta.lastModified|sys\\_updated\\_on|\n|name|name|\n\nThe SCIM Department resource schema \\(urn:ietf:params:scim:schemas:custom:servicenow:2.0:Department\\) maps to the Department \\[cmn\\_department\\] table.\n\n|SCIM attribute name|Department field name|\n|-------------------|---------------------|\n|id|sys\\_id|\n|meta.created|sys\\_created\\_on|\n|meta.lastModified|sys\\_updated\\_on|\n|name|name|\n\nThe SCIM Location resource schema \\(urn:ietf:params:scim:schemas:custom:servicenow:2.0:Location\\) maps to the Location \\[cmn\\_location\\] table.\n\n|SCIM attribute name|Location field name|\n|-------------------|-------------------|\n|id|sys\\_id|\n|meta.created|sys\\_created\\_on|\n|meta.lastModified|sys\\_updated\\_on|\n|name|name|\n\n## SCIM-specific tables\n\nTwo tables, Sys Scim User \\[sys\\_scim\\_user\\] and Sys Scim Group \\[sys\\_scim\\_group\\], contain the SCIM attributes that do not map to existing ServiceNow tables. The following define the contents of these tables.\n\n<table id=\"table_w2h_nch_mrb\"><thead><tr><th>\n\nField name\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nCreated\n\n</td><td>\n\nDate and time that the associated record was created.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nCreated by\n\n</td><td>\n\nName of the entity that created the record.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nExternal ID\n\n</td><td>\n\nExternal ID used by the entity that created this user record to reference the user in their system.Data type: String\n\n Maximum length: 255\n\n</td></tr><tr><td>\n\nSys ID\n\n</td><td>\n\nUnique identifier for the record within a ServiceNow instance.Data type: String\n\n Maximum length: 32\n\n</td></tr><tr><td>\n\nUpdated\n\n</td><td>\n\nDate and time that the associated record was last updated.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nUpdated by\n\n</td><td>\n\nName of the entity that last updated the associated record.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nUpdates\n\n</td><td>\n\nNumber of times that the record has been updated.Data type: Number \\(Integer\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nUser\n\n</td><td>\n\nReference to the user associated with this recordReference: User \\[sys\\_user\\] table\n\nMaximum length: 32\n\n</td></tr><tr><td>\n\nUser type\n\n</td><td>\n\nType of user record. This value is used to identify the organization to user relationship.This can be any value, but typical values might include:\n\n-   Contractor\n-   Employee\n-   External\n-   Intern\n-   Temp\n-   Unknown\n\n Data type: String\n\n Maximum length: 40\n\n</td></tr></tbody>\n</table><table id=\"table_mpt_nch_mrb\"><thead><tr><th>\n\nField name\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nCreated\n\n</td><td>\n\nDate and time that the associated record was created.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nCreated by\n\n</td><td>\n\nName of the entity that created the record.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nExternal ID\n\n</td><td>\n\nExternal ID used by the entity that created this group record to reference the group in their system.Data type: String\n\n Maximum length: 255\n\n</td></tr><tr><td>\n\nGroup\n\n</td><td>\n\nReference to the group associated with this record.Reference: Group \\[sys\\_user\\_group\\] table\n\n Maximum length: 32\n\n</td></tr><tr><td>\n\nSys ID\n\n</td><td>\n\nUnique identifier for the record within a ServiceNow instance.Data type: String\n\n Maximum length: 32\n\n</td></tr><tr><td>\n\nUpdated\n\n</td><td>\n\nDate and time that the associated record was last updated.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nUpdated by\n\n</td><td>\n\nName of the entity that last updated the associated record.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\nUpdates\n\n</td><td>\n\nNumber of times that the record has been updated.Data type: Number \\(Integer\\)\n\nMaximum length: 40\n\n</td></tr></tbody>\n</table>## Roles and access control lists\n\nThe scim\\_admin role is required to access the SCIM-specific tables and the private SCIM endpoints and enables access to the User \\[sys\\_user\\] and Group \\[sys\\_user\\_group\\] tables.\n\nThe SCIM service has four ACLs for accessing the Sys Scim User \\[sys\\_scim\\_user\\] table and the Sys Scim Group \\[sys\\_scim\\_group\\] table that enable create, delete, read, and write. These ACLs are only mapped to the scim\\_admin role.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## SCIM - DELETE /scim/Groups/\\{group\\_id\\}\n\nDeletes the specified group record from the Group \\[sys\\_user\\_group\\] table of a ServiceNow instance using the System for Cross-domain Identity Management \\(SCIM\\) protocol.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/scim/Groups/{group_id}`\n\nDefault URL: `/api/now/scim/Groups/{group_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\ngroup\\_id\n\n</td><td>\n\nSys\\_id of the group record to delete. Data type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"Accept-SCIM-entry\">\n\nData format of the response body. Supported types: **application/json** or **application/scim+json**.Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|204|No Content. The request was successfully processed.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nerrors\n\n</td><td id=\"errors-SCIM-entry\">\n\nResponse that describes any errors that may have occurred during processing the request.Data type: Object\n\n```\n\"errors\": {\n  \"details\": \"String\",\n  \"schemas\": \"String\",\n  \"scimType\": \"String\",\n  \"status\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nerrors.detail\n\n</td><td id=\"errors_details-SCIM-entry\">\n\nDetailed error message on why the request failed.Data type: String\n\n</td></tr><tr><td>\n\nerrors.scimType\n\n</td><td id=\"errors_scimType-SCIM-entry\">\n\nSCIM error detail keyword.Data type: String\n\n</td></tr><tr><td>\n\nerrors.schemas\n\n</td><td id=\"errors_schemas-SCIM-entry\">\n\nURI of the SCIM Schemas used to process the error response.Data type: Array of Strings\n\n</td></tr><tr><td>\n\nerrors.status\n\n</td><td id=\"errors_status-SCIM-entry\">\n\nHTTP status code for the error response.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request to delete a group\n\nThis example shows how to delete a group record from the Group \\[sys\\_user\\_group\\] table.\n\n```\ncurl \"https://instance-servicenow.com/api/now/scim/Groups/a0a9e9fb1b7e3010593876a61a4bcbe0\" \\\n--request DELETE \\\n--header \"Accept:application/scim+json\" \\\n```\n\n## SCIM - GET /scim/Groups\n\nReturns one or more group records from the Group \\[sys\\_user\\_group\\] table within a ServiceNow instance using the System for Cross-domain Identity Management \\(SCIM\\) protocol.\n\n**Note:** A query that does not return any matches returns success \\(HTTP status code 200\\) with **totalResults** set to 0.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/scim/Groups`\n\nDefault URL: `/api/now/scim/Groups`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td id=\"attributes-SCIM-entry\">\n\nComma-separated list of fields to return in the response. No other fields are returned.Can't be used with the **excludedAttributes** parameter.\n\nData type: String\n\nDefault: Return all fields unless **excludedAttributes** is specified.\n\n</td></tr><tr><td>\n\ncount\n\n</td><td id=\"count-SCIM-entry\">\n\nNumber of records to return. A negative value is interpreted as zero.Data type: Number\n\nMaximum: 500 - A value greater than this results in a bad request error.\n\nDefault: 10\n\n</td></tr><tr><td>\n\nexcludedAttributes\n\n</td><td id=\"excludedAttributes-SCIM-entry\">\n\nComma-separated list of fields to exclude from the records returned in the response. All other fields are returned.Can't be used with the **attributes** parameter.\n\nData type: String\n\nDefault: Do not exclude any fields.\n\n</td></tr><tr><td>\n\nfilter\n\n</td><td id=\"group_filter-SCIM-entry\">\n\nFilter expression to apply to the return results. Field filters are expressed as `<field_name> <operator> <\"value\">`. Refer to [RFC7644](https://datatracker.ietf.org/doc/html/rfc7644#section-3.4.2) for a list of the valid operators. **Note:** The `NOT` operator is not supported by this method.\n\nFor example, to filter for all groups whose name starts with \"HR\", enter `displayName SW \"HR\"`.\n\nTo specify more than one field filter, concatenate the filters using the `AND` operand. For example, to filter for all groups whose name starts with \"HR\" and were last modified before October 3, 2021, enter `displayName SW \"HR\" AND meta.lastModified lt \"2021-10-33T00:00:00Z\"`. Use dot-walking to specify nested attributes.\n\nOnly the following SCIM group fields are available for use in filters:\n\n-   displayName\n-   externalId: Only supports `EQ` operator.\n-   id\n-   meta.created\n-   meta.lastModified\n\nData type: String\n\nDefault: No filtering\n\n</td></tr><tr><td>\n\nsortBy\n\n</td><td id=\"group_sortBy-SCIM-entry\">\n\nMust be specified with the **sortOrder** parameter. Field by which to sort the return results. Sorting is case-insensitive. You can only use those parameters available for filtering for the **sortBy** parameter, except that **externalId** is not allowed.\n\nFor values that are null:\n\n-   sorted by ascending: Null values are sorted to the top.\n-   sorted by descending: Null values are sorted to the bottom.\n\nData type: String\n\nDefault: No sort\n\n</td></tr><tr><td>\n\nsortOrder\n\n</td><td id=\"sortOrder-SCIM-entry\">\n\nMust be specified with the **sortBy** parameter. Order in which the **sortBy** parameter is applied to the return results. Valid values:\n\n-   ascending\n-   descending\n\nData type: String\n\nDefault: ascending\n\n</td></tr><tr><td>\n\nstartIndex\n\n</td><td id=\"group_startIndex-SCIM-entry\">\n\nOne-based index into the table at which to start retrieving records. For example, if you set this parameter to 100, and the **count** parameter to 20, the endpoint returns records 100 through 119. **Note:** Any value that is set to less than one is interpreted as one.\n\nData type: String\n\nDefault: 1\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"Accept-SCIM-entry\">\n\nData format of the response body. Supported types: **application/json** or **application/scim+json**.Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td id=\"status_400-SCIM-entry\">\n\nBad Request. A bad request type or malformed request was detected.-   Ensure that both the **attributes** and **excludedAttributes** query parameters have not been passed in the request.\n-   Ensure that the **count** parameter is not greater than 500.\n-   Ensure that all **filter** parameters are valid.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nitemsPerPage\n\n</td><td id=\"itemsPerPage-SCIM-entry\">\n\nNumber of records returned in the return results.Data type: Number\n\n</td></tr><tr><td>\n\nResources\n\n</td><td>\n\nList of group records.Data type: Array of Objects\n\n ```\n\"Resources\": [\n  {\n    \"company\": {Object},\n    \"displayName\": \"String\",\n    \"externalId\": \"String\",\n    \"id\": \"String\",\n    \"meta\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nResources.company\n\n</td><td>\n\nDetails about the group's company or organization.Data type: Object\n\n ```\n\"company\": {\n  \"display\": \"String\",\n  \"$ref\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nResources.company.display\n\n</td><td>\n\nName of the company.Data type: String\n\n</td></tr><tr><td>\n\nResources.company.$ref\n\n</td><td>\n\nReference URI of the company.Format: `<host>/Companies/<company sys_id>`, such as: `http://instance-servicenow.com/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63`.\n\nData type: String\n\n</td></tr><tr><td>\n\nResources.company.value\n\n</td><td>\n\nSys\\_id of the associated company.Data type: String\n\n</td></tr><tr><td>\n\nResources.displayName\n\n</td><td>\n\nHuman-readable name of the group, such as HR Team.Data type: String\n\n</td></tr><tr><td>\n\nResources.externalId\n\n</td><td>\n\nUnique identifier assigned to the group by the entity provisioning it.Data type: String\n\n</td></tr><tr><td>\n\nResources.id\n\n</td><td>\n\nSys\\_id of the group.Data type: String\n\n</td></tr><tr><td>\n\nResources.meta\n\n</td><td>\n\nMetadata pertaining to the group.Data type: Object\n\n```\n\"meta\": {\n  \"created\": \"String\",\n  \"lastModified\": \"String\",\n  \"location\": String\",\n  \"resourceType\": String\"\n}\n```\n\n</td></tr><tr><td>\n\nResources.meta.created\n\n</td><td>\n\nDate and time when the group record was created.Data type: String\n\n</td></tr><tr><td>\n\nResources.meta.lastModified\n\n</td><td>\n\nDate and time when the group record was last modified.Data type: String\n\n</td></tr><tr><td>\n\nResources.meta.location\n\n</td><td>\n\nURI of the group being retrieved.Data type: String\n\n</td></tr><tr><td>\n\nResources.meta.resourceType\n\n</td><td>\n\nSCIM Groups' resource type.Data type: String\n\n</td></tr><tr><td>\n\nResources.members\n\n</td><td>\n\nList of the users and groups associated with the group.Data type: Array of Objects\n\n```\n\"members\": [\n  {\n    \"display\": \"String\",\n    \"value\": \"String\",\n    \"$ref\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nResources.members.display\n\n</td><td>\n\nName of the associated group member.Data type: String\n\n</td></tr><tr><td>\n\nResources.members.value\n\n</td><td>\n\nSys\\_id of the associated user or group record.Data type: String\n\n</td></tr><tr><td>\n\nResources.members.$ref\n\n</td><td>\n\nURI of the associated group member.Data type: String\n\n</td></tr><tr><td>\n\nResources.schemas\n\n</td><td>\n\nList of URIs of the SCIM Group schemas used to process the request.\n\nSupported group schemas:\n\n-   urn:ietf:params:scim:schemas:core:2.0:Group - Core schema specified in the Internet Engineering Task Force System for Cross-domain Identity Management: Core Schema document \\([https://datatracker.ietf.org/doc/html/rfc7643\\#section-4.2](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2)\\)\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group - ServiceNow extension schema. This schema contains attributes that are present in the Groups \\[sys\\_user\\_group\\] table in a base ServiceNow system, but are not part of the core schema.\n-   urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group” - Custom extension schema. This schema is part of “Group” resourceType in the sys\\_scim\\_schema\\_extension table. If the schema is not active, the schema URN is not returned in the response.\n\nData type: Array of Strings\n\n</td></tr><tr><td>\n\nschemas\n\n</td><td>\n\nList of URIs of the SCIM List Response schemas used to process the request.Data type: Array\n\n</td></tr><tr><td>\n\nstartIndex\n\n</td><td>\n\nOne-based index into the Group \\[sys\\_user\\_group\\] table at which the endpoint started retrieving records.Data type: Number\n\n</td></tr><tr><td>\n\ntotalResults\n\n</td><td id=\"totalResults-SCIM-entry\">\n\nTotal number of records that match the request.Data type: Number\n\n</td></tr></tbody>\n</table>### cURL request for multiple groups\n\nThis example shows how to request multiple groups \\(four in this case\\), using the **count** parameter.\n\n```\ncurl \"https://instance-sevicenow.com/api/now/scim/Groups?count=4\" \\\n--request GET \\\n--header \"Accept:application/scim+json\" \\\n```\n\nResponse:\n\n```\n{\"schemas\":\n  [\"urn:ietf:params:scim:api:messages:2.0:ListResponse\"],\n  \"totalResults\":44,\n  \"Resources\":[\n    {\"schemas\":\n      [\n        \"urn:ietf:params:scim:schemas:core:2.0:Group\"\",\n        “urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group”,\n        “urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group”\n      ],\n      \"id\":\"019ad92ec7230010393d265c95c260dd\",\n      \"meta\":{\n        \"resourceType\":\"Group\",\n        \"created\":\"2020-03-17T11:39:14Z\",\n        \"lastModified\":\"2020-03-17T11:39:14Z\",\n        \"location\":\"https://instance-sevicenow.com/api/now/scim/Groups/019ad92ec7230010393d265c95c260dd\"\n      },\n      \"displayName\":\"Analytics Settings Managers\"\n    },\n    {\"schemas\":\n      [\n        \"urn:ietf:params:scim:schemas:core:2.0:Group\"\",\n        “urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group”,\n        “urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group”\n      ],\n      \"id\":\"0a52d3dcd7011200f2d224837e6103f2\",\n      \"meta\":{\n        \"resourceType\":\"Group\",\n        \"created\":\"2021-09-29T16:42:02Z\",\n        \"lastModified\":\"2021-09-29T16:42:02Z\",\n        \"location\":\"https://instance-sevicenow.com/api/now/scim/Groups/0a52d3dcd7011200f2d224837e6103f2\"\n      },\n      \"displayName\":\"Application Development\",\n      \"members\":[\n        {\n          \"value\":\"dc6053dcd7011200f2d224837e6103e0\",\n          \"display\":\"John Doe\",\n          \"$ref\": \"http://instance-sevicenow.com/api/now/scim/Users/dc6053dcd7011200f2d224837e6103e0\"\n        },\n        {\n          \"value\":\"443193dcd7011200f2d224837e61037d\",\n          \"display\":\"Abel Tutor\",\n          \"$ref\": \"http://instance-sevicenow.com/api/now/scim/Users/443193dcd7011200f2d224837e61037d\"\n        }\n      ],\n      \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\": {\n        \"company\": {\n          \"value\": \"81fd65ecac1d55eb42a426568fc87a63\",\n          \"name\": \"ACME Japan\",\n          \"$ref\": \"http://instance-sevicenow.com/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63\"\n        }\n      }\n    },\n    {\"schemas\":\n      [\n        \"urn:ietf:params:scim:schemas:core:2.0:Group\"\",\n        “urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group”,\n        “urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group”\n      ],\n      \"id\":\"0c4e7b573b331300ad3cc9bb34efc461\",\n      \"meta\":{\n        \"resourceType\":\"Group\",\n        \"created\":\"2021-09-29T05:11:33Z\",\n        \"lastModified\":\"2021-09-29T05:11:33Z\",\n        \"location\":\"instance-sevicenow.com/api/now/scim/Groups/0c4e7b573b331300ad3cc9bb34efc461\"\n      },\n      \"displayName\":\"Problem Analyzers\",\n      \"members\":[\n        {\n          \"value\":\"d3dbbf173b331300ad3cc9bb34efc466\",\n          \"display\":\"Problem Manager\",\n          \"$ref\": \"http://instance-sevicenow.com/api/now/scim/Users/babb4639b76233004fbc2089ee11a97f\"\n        },\n        {\n          \"value\":\"38cb3f173b331300ad3cc9bb34efc4d6\",\n          \"display\":\"Problem Coordinator B\",\n          \"$ref\": \"http://instance-sevicenow.com/api/now/scim/Users/cbcc4639b76233004fbc2089ee111047\"\n        },\n        {\n          \"value\":\"26fbff173b331300ad3cc9bb34efc4bd\",\n          \"display\":\"Problem Administrator\",\n          \"$ref\": \"http://instance-sevicenow.com/api/now/scim/Users/45324639b76232189fbc2089ee11bc34\"\n        }\n      ],\n      \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\": {\n        \"company\": {\n          \"value\": \"913465ecac1d569b42a426568fc88af3\",\n          \"name\": \"ACME London\",\n          \"$ref\": \"http://instance-sevicenow.com/api/now/scim/Companies/913465ecac1d569b42a426568fc88af3\"\n        }\n      }\n    },\n    {\"schemas\":\n      [\n        \"urn:ietf:params:scim:schemas:core:2.0:Group\"\",\n        \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\",\n        \"urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group\"\n      ],\n      \"id\":\"0c5e2a7ce4001410f877ce457cda6b98\",\n      \"meta\":{\n        \"resourceType\":\"Group\",\n        \"created\":\"2020-04-06T03:47:08Z\",\n        \"lastModified\":\"2020-07-29T04:02:26Z\",\n        \"location\":\"instance-sevicenow.com/api/now/scim/Groups/0c5e2a7ce4001410f877ce457cda6b98\"\n      },\n      \"displayName\":\"Business Application Registration Approval Group\"\n    }\n  ],\n  \"startIndex\":1,\n  \"itemsPerPage\":4\n}\n```\n\n### cURL request for multiple groups using excludedAttributes\n\nThis example shows how to request multiple groups \\(four in this case\\), using the **count** parameter and excluding the meta and members fields.\n\n```\ncurl \"https://instance-sevicenow.com/api/now/scim/Groups?excludedAttributes=meta%2C%20members&count=4\" \\\n--request GET \\\n--header \"Accept:application/scim+json\" \\\n```\n\nResponse:\n\n```\n{\"schemas\":\n  [\"urn:ietf:params:scim:api:messages:2.0:ListResponse\"],\n  \"totalResults\":44,\n  \"Resources\":[\n    {\"schemas\":\n      [\n        \"urn:ietf:params:scim:schemas:core:2.0:Group\"\",\n        “urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group”,\n        “urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group”\n      ],\n      \"id\":\"019ad92ec7230010393d265c95c260dd\",\n      \"displayName\":\"Analytics Settings Managers\",\n      \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\": {\n        \"company\": {\n          \"value\": \"913465ecac1d569b42a426568fc88af3\",\n          \"name\": \"ACME London\",\n          \"$ref\": \"http://instance-sevicenow.com/api/now/scim/Companies/913465ecac1d569b42a426568fc88af3\"\n        }\n      }\n    },\n    {\"schemas\":\n      [\n        \"urn:ietf:params:scim:schemas:core:2.0:Group\"\",\n        “urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group”,\n        “urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group”\n      ],\n      \"id\":\"0a52d3dcd7011200f2d224837e6103f2\",\n      \"displayName\":\"Application Development\"\n    },\n    {\"schemas\":\n      [\n        \"urn:ietf:params:scim:schemas:core:2.0:Group\"\",\n        “urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group”,\n        “urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group”\n      ],\n      \"id\":\"0c4e7b573b331300ad3cc9bb34efc461\",\n      \"displayName\":\"Problem Analyzers\"\n    },\n    {\"schemas\":\n      [\n        \"urn:ietf:params:scim:schemas:core:2.0:Group\"\",\n        “urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group”,\n        “urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group”\n      ],\n      \"id\":\"0c5e2a7ce4001410f877ce457cda6b98\",\n      \"displayName\":\"Business Application Registration Approval Group\",\n      \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\": {\n        \"company\": {\n          \"value\": \"81fd65ecac1d55eb42a426568fc87a63\",\n          \"name\": \"ACME Japan\",\n          \"$ref\": \"http://instance-sevicenow.com/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63\"\n        }\n      }\n    }\n  ],\n  \"startIndex\":1,\n  \"itemsPerPage\":4\n}\n```\n\n## SCIM - GET /scim/Groups/\\{group\\_id\\}\n\nReturns the specified group record from the Group \\[sys\\_user\\_group\\] table within a ServiceNow instance using the System for Cross-domain Identity Management \\(SCIM\\) protocol.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/scim/Groups/{group_id}`\n\nDefault URL: `/api/now/scim/Groups/{group_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\ngroup\\_id\n\n</td><td>\n\nSys\\_id of the group record to return.\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td id=\"attributes-SCIM-entry\">\n\nComma-separated list of fields to return in the response. No other fields are returned.Can't be used with the **excludedAttributes** parameter.\n\nData type: String\n\nDefault: Return all fields unless **excludedAttributes** is specified.\n\n</td></tr><tr><td>\n\nexcludedAttributes\n\n</td><td id=\"excludedAttributes-SCIM-entry\">\n\nComma-separated list of fields to exclude from the records returned in the response. All other fields are returned.Can't be used with the **attributes** parameter.\n\nData type: String\n\nDefault: Do not exclude any fields.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"Accept-SCIM-entry\">\n\nData format of the response body. Supported types: **application/json** or **application/scim+json**.Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td id=\"status_400-SCIM-entry\">\n\nBad Request. A bad request type or malformed request was detected.-   Ensure that both the **attributes** and **excludedAttributes** query parameters have not been passed in the request.\n-   Ensure that the **count** parameter is not greater than 500.\n-   Ensure that all **filter** parameters are valid.\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"entry-404-status-code\">\n\nNot found. The requested item wasn't found.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"id_uwk_c5c_grb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"group_company-SCIM-row\"><td>\n\ncompany\n\n</td><td id=\"group_company-SCIM-entry\">\n\nDetails about the group's company or organization.Data type: Object\n\n```\n\"company\": {\n  \"display\": \"String\",\n  \"$ref\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"group_company_display-SCIM-row\"><td>\n\ncompany.display\n\n</td><td id=\"group_company_display-SCIM-entry\">\n\nName of the company.Data type: String\n\n</td></tr><tr id=\"group_company_ref-SCIM-row\"><td>\n\ncompany.$ref\n\n</td><td id=\"group_company_ref-SCIM-entry\">\n\nReference URI of the company.Format: `<host>/Companies/<company sys_id>`, such as: `http://instance-servicenow.com/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63`.\n\nData type: String\n\n</td></tr><tr id=\"group_company_value-SCIM-row\"><td>\n\ncompany.value\n\n</td><td id=\"group_company_value-SCIM-entry\">\n\nSys\\_id of the associated company.Data type: String\n\n</td></tr><tr id=\"group_displayName-SCIM-row\"><td>\n\ndisplayName\n\n</td><td id=\"group_displayName-SCIM-entry\">\n\nHuman-readable name of the group, such as HR Team.Data type: String\n\n</td></tr><tr id=\"group_externalId-SCIM-row\"><td>\n\nexternalId\n\n</td><td id=\"group_externalId-SCIM-entry\">\n\nUnique identifier assigned to the group by the entity provisioning it.Data type: String\n\n</td></tr><tr id=\"group_id-SCIM-row\"><td>\n\nid\n\n</td><td id=\"group_id-SCIM-entry\">\n\nSys\\_id of the group.Data type: String\n\n</td></tr><tr id=\"group_meta-SCIM-row\"><td>\n\nmeta\n\n</td><td id=\"group_meta-SCIM-entry\">\n\nMetadata pertaining to the group.Data type: Object\n\n```\n\"meta\": {\n  \"created\": \"String\",\n  \"lastModified\": \"String\",\n  \"location\": String\",\n  \"resourceType\": String\"\n}\n```\n\n</td></tr><tr id=\"group_meta_created-SCIM-row\"><td>\n\nmeta.created\n\n</td><td id=\"group_meta_created-SCIM-entry\">\n\nDate and time when the group record was created.Data type: String\n\n</td></tr><tr id=\"group_meta_lastModified-SCIM-row\"><td>\n\nmeta.lastModified\n\n</td><td id=\"group_meta_lastModified-SCIM-entry\">\n\nDate and time when the group record was last modified.Data type: String\n\n</td></tr><tr id=\"group_meta_location-SCIM-row\"><td>\n\nmeta.location\n\n</td><td id=\"group_meta_location-SCIM-entry\">\n\nURI of the group being retrieved.Data type: String\n\n</td></tr><tr id=\"group_meta_resourceType-SCIM-row\"><td>\n\nmeta.resourceType\n\n</td><td id=\"group_meta_resourceType-SCIM-entry\">\n\nSCIM Groups' resource type.Data type: String\n\n</td></tr><tr id=\"group_members-SCIM-row\"><td>\n\nmembers\n\n</td><td id=\"group_members-SCIM-entry\">\n\nList of the users and groups associated with the group.Data type: Array of Objects\n\n```\n\"members\": [\n  {\n    \"display\": \"String\",\n    \"value\": \"String\",\n    \"$ref\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"group_members_display-SCIM-row\"><td>\n\nmembers.display\n\n</td><td id=\"group_members_display-SCIM-entry\">\n\nName of the associated group member.Data type: String\n\n</td></tr><tr id=\"group_members_value-SCIM-row\"><td>\n\nmembers.value\n\n</td><td id=\"group_members_value-SCIM-entry\">\n\nSys\\_id of the associated user or group record.Data type: String\n\n</td></tr><tr id=\"group_members_ref-SCIM-row\"><td>\n\nmembers.$ref\n\n</td><td id=\"group_members_ref-SCIM-entry\">\n\nURI of the associated group member.Data type: String\n\n</td></tr><tr id=\"group_schemas-SCIM-row\"><td>\n\nschemas\n\n</td><td id=\"group_schemas-SCIM-entry\">\n\nList of URIs of the SCIM Group schemas used to process the request.\n\nSupported group schemas:\n\n-   urn:ietf:params:scim:schemas:core:2.0:Group - Core schema specified in the Internet Engineering Task Force System for Cross-domain Identity Management: Core Schema document \\([https://datatracker.ietf.org/doc/html/rfc7643\\#section-4.2](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2)\\)\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group - ServiceNow extension schema. This schema contains attributes that are present in the Groups \\[sys\\_user\\_group\\] table in a base ServiceNow system, but are not part of the core schema.\n-   urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group” - Custom extension schema. This schema is part of “Group” resourceType in the sys\\_scim\\_schema\\_extension table. If the schema is not active, the schema URN is not returned in the response.\n\nData type: Array of Strings\n\n</td></tr></tbody>\n</table>### cURL request for specific group\n\nThis example shows how to retrieve a specific group record.\n\n```\ncurl \"https://instance-servicenow.com/api/now/scim/Groups/e0140d671bbe3010593876a61a4bcb11\" \\\n--request GET \\\n--header \"Accept:application/scim+json\" \\\n```\n\nResponse:\n\n```\n{\"schemas\":\n  [\n    \"urn:ietf:params:scim:schemas:core:2.0:Group\",\n    \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\",\n    \"urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group\"\n  ],\n  \"id\":\"e0140d671bbe3010593876a61a4bcb11\",\n  \"externalId\":\"8ae5dc9e-c7ad-4d3d-a152-35a6b6222b83\",\n  \"meta\":{\n    \"resourceType\":\"Group\",\n    \"created\":\"2021-09-30T18:20:43Z\",\n    \"lastModified\":\"2021-09-30T18:20:43Z\",\n    \"location\":\"https://instance-servicenow.com/api/now/scim/Groups/e0140d671bbe3010593876a61a4bcb11\"},\n    \"displayName\":\"HR Group\",\n    \"members\":[\n      {\n        \"value\":\"62826bf03710200044e0bfc8bcbe5df1\",\n        \"display\":\"Abel Tuter\",\n        \"$ref\": \"http://instance-servicenow.com/api/now/scim/Users/62826bf03710200044e0bfc8bcbe5df1\"\n      }\n    ], \n    \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\": {\n      \"company\": {\n        \"value\": \"81fd65ecac1d55eb42a426568fc87a63\",\n        \"name\": \"ACME Japan\",\n        \"$ref\": \"http://111.111.1.11:8080/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63\"\n      }\n    }\n  }\n}\n```\n\n## SCIM - PATCH /scim/Groups/\\{group\\_id\\}\n\nEnables you to add, update, and delete specified fields in a group record in the Group \\[sys\\_user\\_group\\] table of a ServiceNow instance using the System for Cross-domain Identity Management \\(SCIM\\) protocol.\n\nFor additional information, refer to the [Modifying with PATCH](https://datatracker.ietf.org/doc/html/rfc7644#section-3.5.2) section of RFC 7644.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/scim/Groups/{group_id}`\n\nDefault URL: `/api/now/scim/Groups/{group_id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\ngroup\\_id\n\n</td><td>\n\nSys\\_id of the group record to update.Data type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td id=\"attributes-SCIM-entry\">\n\nComma-separated list of fields to return in the response. No other fields are returned.Can't be used with the **excludedAttributes** parameter.\n\nData type: String\n\nDefault: Return all fields unless **excludedAttributes** is specified.\n\n</td></tr><tr><td>\n\nexcludedAttributes\n\n</td><td id=\"excludedAttributes-SCIM-entry\">\n\nComma-separated list of fields to exclude from the records returned in the response. All other fields are returned.Can't be used with the **attributes** parameter.\n\nData type: String\n\nDefault: Do not exclude any fields.\n\n</td></tr></tbody>\n</table><table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nOperations\n\n</td><td>\n\nRequired. List of operation objects to patch the specified Group record with.Data type: Array of Objects\n\n ```\n\"Operations\": [\n  {\n    \"op\": \"String\",\n    \"path\": \"String\",\n    \"value\": Any\n  }\n]\n```\n\n</td></tr><tr><td>\n\nOperations.op\n\n</td><td>\n\nRequired. Operation to perform.Valid values:\n\n-   add: Add the specified field and value to the Group record.\n-   remove: Remove the value from the specified field. Replaced with data type \"null\".\n-   replace: Replace the value of the specified field.\n\n Data type: String\n\n</td></tr><tr><td>\n\nOperations.path\n\n</td><td>\n\nRequired for `remove` operations, optional for others. Name/path of the field to modify.The **path** parameter can have one of the following formats:\n\n-   A direct field, such as `displayName`\n-   In case of complex array, a pointer to a specific element with a filter, such as: `emails[type eq \"work\"]`\n\n```\n{\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ],\n  \"Operations\": [\n    {\n      \"op\": \"add\",\n      \"path\": \"displayName\",\n      \"value\": \"HR Group\"\n    },\n    {\n      \"op\": \"replace\", \n      \"path\": \"members[value eq \\\"sysid1\\\"]\", \n      \"value\": {\n        \"value\": \"sysid2\"\n      }\n    } \n  ]\n}\n```\n\n Data type: String\n\n Default: Considers the field to be a resource.\n\n</td></tr><tr><td>\n\nOperations.value\n\n</td><td>\n\nValue of the field specified in the **Operations.path** parameter. The format of this parameter depends on the data-type of the associated field. For example, if updating a simple string, such as the title, the **value** field is expressed as a string.\n\n ```\n \"Operations\": [\n  {\n    \"op\": \"add\",\n    \"path\": \"displayName\",\n    \"value\": \"HR Group\"\n  }\n]\n```\n\n You can also declare simple string values without a **path** parameters, such as:\n\n```\n \"Operations\": [\n  {\n    \"op\": \"add\",\n    \"value\": {\n      \"displayName\": \"HR Group\"\n    }\n  }\n]\n```\n\n The following shows how to add a member to the group:\n\n```\n{\n  \"op\": \"add\",\n  \"value\": {\n    \"members\": {\n      \"value\": \"62826bf03710200044e0bfc8bcbe5df1\",\n    }\n  }\n}\n```\n\n If the field being updated is not in the base-schema, you must enclose the name-value pair in an object that specifies the URN of the associated schema.\n\n ```\n\"value\": {\n  \"<schema_urn>\": {\n    \"<field_name>\": \"<new_value>\"\n  },\n}\n```\n\n For example:\n\n ```\n\"value\": {\n  \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\": {\n    \"groupNumber\": \"13454\"\n  },\n}\n```\n\nData type: Any\n\n</td></tr><tr><td>\n\nOperations.value.type\n\n</td><td>\n\nName of the field to update.Data type: String\n\n</td></tr><tr><td>\n\nOperations.value.value\n\n</td><td>\n\nValue to update the field with. Data type: String\n\n</td></tr><tr><td>\n\nschemas\n\n</td><td id=\"group_schemas-SCIM-entry\">\n\nRequired. SCIM Schema URI of the Patch Operation: \"urn:ietf:params:scim:api:messages:2.0:PatchOp”Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"Accept-SCIM-entry\">\n\nData format of the response body. Supported types: **application/json** or **application/scim+json**.Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"Content_Type-SCIM-entry\">\n\nData format of the request body. Supported types: **application/json** or **application/scim+json**.Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n204\n\n</td><td>\n\n`Successful. No Content (Applicable only for SCIM Group Patch API)` - This 204 status is dependent on the state of the SCIM UI property, `Enable Group Patch API response with No Content`, and is subject to the attribute parameter passed as per RFC: [https://www.rfc-editor.org/rfc/rfc7644\\#page-35](https://www.rfc-editor.org/rfc/rfc7644#page-35).\n\n Default property value: false\n\n The `Enable Group Patch API response with No Content` property can be used to get additional response execution performance gains if the client does not plan to consume any response resources.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. A bad request type or malformed request was detected.-   Check for invalid values:\n    -   Malformed request body.\n    -   Required field is not provided or empty.\n    -   Invalid user or group sys\\_id is provided.\n-   Check if a read-only or immutable field is trying to be modified.\n-   Ensure that both the **attributes** and **excludedAttributes** query parameters have not been passed in the request or that the request does not exceed the maximum number of members.\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"entry-404-status-code\">\n\nNot found. The requested item wasn't found.\n\n</td></tr><tr><td>\n\n409\n\n</td><td>\n\nGroup already exists. The **displayName** parameter must be unique.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncompany\n\n</td><td id=\"group_company-SCIM-entry\">\n\nDetails about the group's company or organization.Data type: Object\n\n```\n\"company\": {\n  \"display\": \"String\",\n  \"$ref\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncompany.display\n\n</td><td id=\"group_company_display-SCIM-entry\">\n\nName of the company.Data type: String\n\n</td></tr><tr><td>\n\ncompany.$ref\n\n</td><td id=\"group_company_ref-SCIM-entry\">\n\nReference URI of the company.Format: `<host>/Companies/<company sys_id>`, such as: `http://instance-servicenow.com/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63`.\n\nData type: String\n\n</td></tr><tr><td>\n\ncompany.value\n\n</td><td id=\"group_company_value-SCIM-entry\">\n\nSys\\_id of the associated company.Data type: String\n\n</td></tr><tr><td>\n\ndisplayName\n\n</td><td id=\"group_displayName-SCIM-entry\">\n\nHuman-readable name of the group, such as HR Team.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td id=\"group_externalId-SCIM-entry\">\n\nUnique identifier assigned to the group by the entity provisioning it.Data type: String\n\n</td></tr><tr><td>\n\nerrors\n\n</td><td id=\"errors-SCIM-entry\">\n\nResponse that describes any errors that may have occurred during processing the request.Data type: Object\n\n```\n\"errors\": {\n  \"details\": \"String\",\n  \"schemas\": \"String\",\n  \"scimType\": \"String\",\n  \"status\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nerrors.detail\n\n</td><td id=\"errors_details-SCIM-entry\">\n\nDetailed error message on why the request failed.Data type: String\n\n</td></tr><tr><td>\n\nerrors.scimType\n\n</td><td id=\"errors_scimType-SCIM-entry\">\n\nSCIM error detail keyword.Data type: String\n\n</td></tr><tr><td>\n\nerrors.schemas\n\n</td><td id=\"errors_schemas-SCIM-entry\">\n\nURI of the SCIM Schemas used to process the error response.Data type: Array of Strings\n\n</td></tr><tr><td>\n\nerrors.status\n\n</td><td id=\"errors_status-SCIM-entry\">\n\nHTTP status code for the error response.Data type: String\n\n</td></tr><tr><td>\n\ndisplayName\n\n</td><td id=\"d3262e862\">\n\nHuman-readable name of the group, such as HR Team.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td id=\"d3262e874\">\n\nUnique identifier assigned to the group by the entity provisioning it.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td id=\"group_id-SCIM-entry\">\n\nSys\\_id of the group.Data type: String\n\n</td></tr><tr><td>\n\nmembers\n\n</td><td id=\"group_members-SCIM-entry\">\n\nList of the users and groups associated with the group.Data type: Array of Objects\n\n```\n\"members\": [\n  {\n    \"display\": \"String\",\n    \"value\": \"String\",\n    \"$ref\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nmembers.display\n\n</td><td id=\"group_members_display-SCIM-entry\">\n\nName of the associated group member.Data type: String\n\n</td></tr><tr><td>\n\nmembers.value\n\n</td><td id=\"group_members_value-SCIM-entry\">\n\nSys\\_id of the associated user or group record.Data type: String\n\n</td></tr><tr><td>\n\nmembers.$ref\n\n</td><td id=\"group_members_ref-SCIM-entry\">\n\nURI of the associated group member.Data type: String\n\n</td></tr><tr><td>\n\nmeta\n\n</td><td id=\"group_meta-SCIM-entry\">\n\nMetadata pertaining to the group.Data type: Object\n\n```\n\"meta\": {\n  \"created\": \"String\",\n  \"lastModified\": \"String\",\n  \"location\": String\",\n  \"resourceType\": String\"\n}\n```\n\n</td></tr><tr><td>\n\nmeta.created\n\n</td><td id=\"group_meta_created-SCIM-entry\">\n\nDate and time when the group record was created.Data type: String\n\n</td></tr><tr><td>\n\nmeta.lastModified\n\n</td><td id=\"group_meta_lastModified-SCIM-entry\">\n\nDate and time when the group record was last modified.Data type: String\n\n</td></tr><tr><td>\n\nmeta.location\n\n</td><td id=\"group_meta_location-SCIM-entry\">\n\nURI of the group being retrieved.Data type: String\n\n</td></tr><tr><td>\n\nmeta.resourceType\n\n</td><td id=\"group_meta_resourceType-SCIM-entry\">\n\nSCIM Groups' resource type.Data type: String\n\n</td></tr><tr><td>\n\nschemas\n\n</td><td id=\"d3262e1000\">\n\nList of URIs of the SCIM Group schemas used to process the request.\n\nSupported group schemas:\n\n-   urn:ietf:params:scim:schemas:core:2.0:Group - Core schema specified in the Internet Engineering Task Force System for Cross-domain Identity Management: Core Schema document \\([https://datatracker.ietf.org/doc/html/rfc7643\\#section-4.2](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2)\\)\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group - ServiceNow extension schema. This schema contains attributes that are present in the Groups \\[sys\\_user\\_group\\] table in a base ServiceNow system, but are not part of the core schema.\n-   urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group” - Custom extension schema. This schema is part of “Group” resourceType in the sys\\_scim\\_schema\\_extension table. If the schema is not active, the schema URN is not returned in the response.\n\nData type: Array of Strings\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example shows how to add an external ID to a group record and replace the current list of associated members \\(users\\).\n\n```\ncurl \"https://instance-servicenow.com/api/now/scim/Groups/a92b84f96b073010638c83eece44af4e\" \\\n--request PATCH \\\n--header \"Accept:application/scim+json\" \\\n--header \"Content-Type:application/scim+json\" \\\n--data \"{\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ],\n  \"Operations\": [\n    {\n      \"op\": \"add\",\n      \"path\": \"externalId\",\n      \"value\": \"278fdc2e-a6aa-4140-bd23-9ba4987a2938\"\n    },\n    {\n      \"op\": \"replace\",\n      \"path\": \"members\",\n      \"value\": [\n        {\n          \"value\": \"62826bf03710200044e0bfc8bcbe5df1\"\n        },\n        {\n          \"value\": \"a8f98bb0eb32010045e1a5115206fe3a\"\n        }\n      ]\n    }\n  ]\n}\"\n```\n\nResponse:\n\n```\n{\n  \"schemas\": [\n    \"urn:ietf:params:scim:schemas:core:2.0:Group\",\n    \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\",\n    'urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group'\n  ],\n  \"id\": \"a92b84f96b073010638c83eece44af4e\",\n  \"externalId\": \"278fdc2e-a6aa-4140-bd23-9ba4987a2938\",\n  \"meta\": {\n    \"resourceType\": \"Group\",\n    \"created\": \"2021-10-07T13:58:22Z\",\n    \"lastModified\": \"2021-10-07T15:48:44Z\",\n    \"location\":\n      \"https://instance-sevicenow/api/now/scim/Groups/a92b84f96b073010638c83eece44af4e\"\n  },\n  \"displayName\": \"HR Team\",\n  \"members\": [\n    {\n      \"value\": \"62826bf03710200044e0bfc8bcbe5df1\",\n      \"display\": \"Abel Tuter\",\n      \"$ref\":\n        \"https://instance-sevicenow/api/now/scim/Users/62826bf03710200044e0bfc8bcbe5df1\"\n    },\n    {\n      \"value\": \"a8f98bb0eb32010045e1a5115206fe3a\",\n      \"display\": \"Abraham Lincoln\",\n      \"$ref\":\n        \"https://instance-sevicenow/api/now/scim/Users/a8f98bb0eb32010045e1a5115206fe3a\"\n    }\n  ],\n  \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\": {\n    \"company\": {\n      \"value\": \"81fd65ecac1d55eb42a426568fc87a63\",\n      \"name\": \"ACME Japan\",\n      \"$ref\": \"http://instance-sevicenow/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63\"\n    }\n  }\n}\n```\n\n## SCIM - POST /scim/Groups\n\nCreates a group record in the Group \\[sys\\_user\\_group\\] table of a ServiceNow instance using the System for Cross-domain Identity Management \\(SCIM\\) protocol.\n\nYou can define the display name of the group, an external ID used to correlate this group to an external system, and add members \\(users/groups\\) to the group.\n\n**Note:** The search and bulk modifications functionality as noted in the RFC7643 specification are not supported by this endpoint.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/scim/Groups`\n\nDefault URL: `/api/now/scim/Groups`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td id=\"attributes-SCIM-entry\">\n\nComma-separated list of fields to return in the response. No other fields are returned.Can't be used with the **excludedAttributes** parameter.\n\nData type: String\n\nDefault: Return all fields unless **excludedAttributes** is specified.\n\n</td></tr><tr><td>\n\nexcludedAttributes\n\n</td><td id=\"excludedAttributes-SCIM-entry\">\n\nComma-separated list of fields to exclude from the records returned in the response. All other fields are returned.Can't be used with the **attributes** parameter.\n\nData type: String\n\nDefault: Do not exclude any fields.\n\n</td></tr></tbody>\n</table><table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncompany\n\n</td><td id=\"group_company-SCIM-entry\">\n\nDetails about the group's company or organization.Data type: Object\n\n```\n\"company\": {\n  \"display\": \"String\",\n  \"$ref\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncompany.display\n\n</td><td id=\"group_company_display-SCIM-entry\">\n\nName of the company.Data type: String\n\n</td></tr><tr><td>\n\ncompany.$ref\n\n</td><td id=\"group_company_ref-SCIM-entry\">\n\nReference URI of the company.Format: `<host>/Companies/<company sys_id>`, such as: `http://instance-servicenow.com/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63`.\n\nData type: String\n\n</td></tr><tr><td>\n\ncompany.value\n\n</td><td id=\"group_company_value-SCIM-entry\">\n\nSys\\_id of the associated company.Data type: String\n\n</td></tr><tr><td>\n\ndisplayName\n\n</td><td id=\"group_request_displayName-SCIM-entry\">\n\nRequired. Human-readable name of the group, such as HR Team.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td id=\"group_externalId-SCIM-entry\">\n\nUnique identifier assigned to the group by the entity provisioning it.Data type: String\n\n</td></tr><tr><td>\n\nmembers\n\n</td><td>\n\nList of users or other groups to associate with the group.Data type: Array of Objects\n\n ```\n\"members:\" [\n  {\n    \"value\": \"String\"\n  }\n]\n```\n\n Maximum size: 100 - You can modify this maximum size by updating the system property com.snc.interation.scim2.max.member.count.\n\n</td></tr><tr><td>\n\nmembers.value\n\n</td><td>\n\nSys\\_id of the associated user or group record.Data type: String\n\n</td></tr><tr><td>\n\nschemas\n\n</td><td id=\"group_request_schema-SCIM-entry\">\n\nRequired.List of URIs of the SCIM Group schemas used to process the request.\n\nSupported group schemas:\n\n-   urn:ietf:params:scim:schemas:core:2.0:Group - Core schema specified in the Internet Engineering Task Force System for Cross-domain Identity Management: Core Schema document \\([https://datatracker.ietf.org/doc/html/rfc7643\\#section-4.2](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2)\\)\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group - ServiceNow extension schema. This schema contains attributes that are present in the Groups \\[sys\\_user\\_group\\] table in a base ServiceNow system, but are not part of the core schema.\n-   urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group” - Custom extension schema. This schema is part of “Group” resourceType in the sys\\_scim\\_schema\\_extension table. If the schema is not active, the schema URN is not returned in the response.\n\nData type: Array of Strings\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"Accept-SCIM-entry\">\n\nData format of the response body. Supported types: **application/json** or **application/scim+json**.Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"Content_Type-SCIM-entry\">\n\nData format of the request body. Supported types: **application/json** or **application/scim+json**.Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n201\n\n</td><td>\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. A bad request type or malformed request was detected.-   Check for invalid values:\n    -   Malformed request body.\n    -   Required field is not provided or empty.\n    -   Invalid user or group sys\\_id is provided.\n-   Check if a read-only or immutable field is trying to be modified.\n-   Ensure that both the **attributes** and **excludedAttributes** query parameters have not been passed in the request or that the request does not exceed the maximum number of members.\n\n</td></tr><tr><td>\n\n409\n\n</td><td id=\"status_409-SCIM-entry\">\n\nGroup already exists. The **displayName** parameter must be unique.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"id_uwk_c5c_grb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"group_company-SCIM-row\"><td>\n\ncompany\n\n</td><td id=\"d3262e808\">\n\nDetails about the group's company or organization.Data type: Object\n\n```\n\"company\": {\n  \"display\": \"String\",\n  \"$ref\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"group_company_display-SCIM-row\"><td>\n\ncompany.display\n\n</td><td id=\"d3262e821\">\n\nName of the company.Data type: String\n\n</td></tr><tr id=\"group_company_ref-SCIM-row\"><td>\n\ncompany.$ref\n\n</td><td id=\"d3262e832\">\n\nReference URI of the company.Format: `<host>/Companies/<company sys_id>`, such as: `http://instance-servicenow.com/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63`.\n\nData type: String\n\n</td></tr><tr id=\"group_company_value-SCIM-row\"><td>\n\ncompany.value\n\n</td><td id=\"d3262e851\">\n\nSys\\_id of the associated company.Data type: String\n\n</td></tr><tr id=\"group_displayName-SCIM-row\"><td>\n\ndisplayName\n\n</td><td id=\"group_displayName-SCIM-entry\">\n\nHuman-readable name of the group, such as HR Team.Data type: String\n\n</td></tr><tr id=\"group_externalId-SCIM-row\"><td>\n\nexternalId\n\n</td><td id=\"d3262e874\">\n\nUnique identifier assigned to the group by the entity provisioning it.Data type: String\n\n</td></tr><tr id=\"group_id-SCIM-row\"><td>\n\nid\n\n</td><td id=\"group_id-SCIM-entry\">\n\nSys\\_id of the group.Data type: String\n\n</td></tr><tr id=\"group_meta-SCIM-row\"><td>\n\nmeta\n\n</td><td id=\"group_meta-SCIM-entry\">\n\nMetadata pertaining to the group.Data type: Object\n\n```\n\"meta\": {\n  \"created\": \"String\",\n  \"lastModified\": \"String\",\n  \"location\": String\",\n  \"resourceType\": String\"\n}\n```\n\n</td></tr><tr id=\"group_meta_created-SCIM-row\"><td>\n\nmeta.created\n\n</td><td id=\"group_meta_created-SCIM-entry\">\n\nDate and time when the group record was created.Data type: String\n\n</td></tr><tr id=\"group_meta_lastModified-SCIM-row\"><td>\n\nmeta.lastModified\n\n</td><td id=\"group_meta_lastModified-SCIM-entry\">\n\nDate and time when the group record was last modified.Data type: String\n\n</td></tr><tr id=\"group_meta_location-SCIM-row\"><td>\n\nmeta.location\n\n</td><td id=\"group_meta_location-SCIM-entry\">\n\nURI of the group being retrieved.Data type: String\n\n</td></tr><tr id=\"group_meta_resourceType-SCIM-row\"><td>\n\nmeta.resourceType\n\n</td><td id=\"group_meta_resourceType-SCIM-entry\">\n\nSCIM Groups' resource type.Data type: String\n\n</td></tr><tr id=\"group_members-SCIM-row\"><td>\n\nmembers\n\n</td><td id=\"group_members-SCIM-entry\">\n\nList of the users and groups associated with the group.Data type: Array of Objects\n\n```\n\"members\": [\n  {\n    \"display\": \"String\",\n    \"value\": \"String\",\n    \"$ref\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"group_members_display-SCIM-row\"><td>\n\nmembers.display\n\n</td><td id=\"group_members_display-SCIM-entry\">\n\nName of the associated group member.Data type: String\n\n</td></tr><tr id=\"group_members_value-SCIM-row\"><td>\n\nmembers.value\n\n</td><td id=\"group_members_value-SCIM-entry\">\n\nSys\\_id of the associated user or group record.Data type: String\n\n</td></tr><tr id=\"group_members_ref-SCIM-row\"><td>\n\nmembers.$ref\n\n</td><td id=\"group_members_ref-SCIM-entry\">\n\nURI of the associated group member.Data type: String\n\n</td></tr><tr id=\"group_schemas-SCIM-row\"><td>\n\nschemas\n\n</td><td id=\"group_schemas-SCIM-entry\">\n\nList of URIs of the SCIM Group schemas used to process the request.\n\nSupported group schemas:\n\n-   urn:ietf:params:scim:schemas:core:2.0:Group - Core schema specified in the Internet Engineering Task Force System for Cross-domain Identity Management: Core Schema document \\([https://datatracker.ietf.org/doc/html/rfc7643\\#section-4.2](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2)\\)\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group - ServiceNow extension schema. This schema contains attributes that are present in the Groups \\[sys\\_user\\_group\\] table in a base ServiceNow system, but are not part of the core schema.\n-   urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group” - Custom extension schema. This schema is part of “Group” resourceType in the sys\\_scim\\_schema\\_extension table. If the schema is not active, the schema URN is not returned in the response.\n\nData type: Array of Strings\n\n</td></tr></tbody>\n</table>### cURL request POST a new group and add member\n\nThis example creates group51 and adds the user Abel Tutor as a member.\n\n```\ncurl \"https://instance-servicenow.com/api/now/scim/Groups\" \\\n--request POST \\\n--header \"Accept:application/scim+json\" \\\n--header \"Content-Type:application/scim+json\" \\\n--data \"{\n  \\\"schemas\\\": [\"urn:ietf:params:scim:schemas:core:2.0:Group\",\n    “urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group”, \n    “urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group”],\n  \\\"displayName\\\": \\\"HR Team\\\",\n  \\\"externalId\\\": \\\"8ae5dc9e-c7ad-4d3d-a152-35a6b6222b83\\\",\n  \\\"members\\\": [\n    {\n      \\\"value\\\": \\\"62826bf03710200044e0bfc8bcbe5df1\\\",\n      \\\"$ref\\\": \\\"Users/62826bf03710200044e0bfc8bcbe5df1\\\"\n    }\n  ]\n}\"\n```\n\nResponse:\n\n```\n{\"schemas\":\n  [\n    \"urn:ietf:params:scim:schemas:core:2.0:Group\",\n    \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\",\n    'urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group'\n  ],\n  \"id\":\"e0140d671bbe3010593876a61a4bcb11\",\n  \"externalId\":\"8ae5dc9e-c7ad-4d3d-a152-35a6b6222b83\",\n  \"meta\":{\n    \"resourceType\":\"Group\",\n    \"created\":\"2021-09-30T18:20:43Z\",\n    \"lastModified\":\"2021-09-30T18:20:43Z\",\n    \"location\":\"https://instance-servicenow.com/api/now/scim/Groups/e0140d671bbe3010593876a61a4bcb11\"},\n    \"displayName\":\"HR Team\",\n    \"members\":[\n      {\n        \"value\":\"62826bf03710200044e0bfc8bcbe5df1\",\n        \"display\":\"Abel Tuter\",\n        \"$ref\": \"http://instance-servicenow.com/api/now/scim/Users/62826bf03710200044e0bfc8bcbe5df1\"\n      }\n    ],\n    \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\": {\n      \"company\": {\n        \"value\": \"81fd65ecac1d55eb42a426568fc87a63\",\n        \"name\": \"ACME Japan\",\n        \"$ref\": http://instance-servicenow.com/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63\n      }\n    }\n  }\n}\n```\n\n## SCIM - PUT /scim/Groups/\\{group\\_id\\}\n\nUpdates the specified group record in the Group \\[sys\\_user\\_group\\] table of a ServiceNow instance using the System for Cross-domain Identity Management \\(SCIM\\) protocol.\n\nFields that are omitted in the request are not updated. You can explicitly clear a field by setting its value to null for a single valued field and to an empty array for array type fields such as **members**.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/scim/Groups/{group_id}`\n\nDefault URL: `/api/now/scim/Groups/{group_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\ngroup\\_id\n\n</td><td>\n\nSys\\_id of the group record to update.Data type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td id=\"attributes-SCIM-entry\">\n\nComma-separated list of fields to return in the response. No other fields are returned.Can't be used with the **excludedAttributes** parameter.\n\nData type: String\n\nDefault: Return all fields unless **excludedAttributes** is specified.\n\n</td></tr><tr><td>\n\nexcludedAttributes\n\n</td><td id=\"excludedAttributes-SCIM-entry\">\n\nComma-separated list of fields to exclude from the records returned in the response. All other fields are returned.Can't be used with the **attributes** parameter.\n\nData type: String\n\nDefault: Do not exclude any fields.\n\n</td></tr></tbody>\n</table><table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncompany\n\n</td><td id=\"group_company-SCIM-entry\">\n\nDetails about the group's company or organization.Data type: Object\n\n```\n\"company\": {\n  \"display\": \"String\",\n  \"$ref\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncompany.display\n\n</td><td id=\"group_company_display-SCIM-entry\">\n\nName of the company.Data type: String\n\n</td></tr><tr><td>\n\ncompany.$ref\n\n</td><td id=\"group_company_ref-SCIM-entry\">\n\nReference URI of the company.Format: `<host>/Companies/<company sys_id>`, such as: `http://instance-servicenow.com/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63`.\n\nData type: String\n\n</td></tr><tr><td>\n\ncompany.value\n\n</td><td id=\"group_company_value-SCIM-entry\">\n\nSys\\_id of the associated company.Data type: String\n\n</td></tr><tr><td>\n\ndisplayName\n\n</td><td id=\"group_displayName-SCIM-entry\">\n\nHuman-readable name of the group, such as HR Team.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td id=\"group_externalId-SCIM-entry\">\n\nUnique identifier assigned to the group by the entity provisioning it.Data type: String\n\n</td></tr><tr><td>\n\nmembers\n\n</td><td>\n\nList of users to replace the current list of members with.Data type: Array of Objects\n\n ```\n\"members:\" [\n  {\n    \"value\": \"String\"\n  }\n]\n```\n\n Maximum size: 100 - You can modify this maximum size by updating the system property com.snc.interation.scim2.max.member.count.\n\n</td></tr><tr><td>\n\nmembers.value\n\n</td><td>\n\nSys\\_id of the associated user or group record.Data type: String\n\n</td></tr><tr><td>\n\nschemas\n\n</td><td id=\"group_request_schema-SCIM-entry\">\n\nRequired.List of URIs of the SCIM Group schemas used to process the request.\n\nSupported group schemas:\n\n-   urn:ietf:params:scim:schemas:core:2.0:Group - Core schema specified in the Internet Engineering Task Force System for Cross-domain Identity Management: Core Schema document \\([https://datatracker.ietf.org/doc/html/rfc7643\\#section-4.2](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2)\\)\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group - ServiceNow extension schema. This schema contains attributes that are present in the Groups \\[sys\\_user\\_group\\] table in a base ServiceNow system, but are not part of the core schema.\n-   urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group” - Custom extension schema. This schema is part of “Group” resourceType in the sys\\_scim\\_schema\\_extension table. If the schema is not active, the schema URN is not returned in the response.\n\nData type: Array of Strings\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"Accept-SCIM-entry\">\n\nData format of the response body. Supported types: **application/json** or **application/scim+json**.Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"Content_Type-SCIM-entry\">\n\nData format of the request body. Supported types: **application/json** or **application/scim+json**.Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. A bad request type or malformed request was detected.-   Check for invalid values:\n    -   Malformed request body.\n    -   Required field is not provided or empty.\n    -   Invalid user or group sys\\_id is provided.\n-   Check if a read-only or immutable field is trying to be modified.\n-   Ensure that both the **attributes** and **excludedAttributes** query parameters have not been passed in the request or that the request does not exceed the maximum number of members.\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"entry-404-status-code\">\n\nNot found. The requested item wasn't found.\n\n</td></tr><tr><td>\n\n409\n\n</td><td id=\"status_409-SCIM-entry\">\n\nGroup already exists. The **displayName** parameter must be unique.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncompany\n\n</td><td id=\"d3262e808\">\n\nDetails about the group's company or organization.Data type: Object\n\n```\n\"company\": {\n  \"display\": \"String\",\n  \"$ref\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncompany.display\n\n</td><td id=\"d3262e821\">\n\nName of the company.Data type: String\n\n</td></tr><tr><td>\n\ncompany.$ref\n\n</td><td id=\"d3262e832\">\n\nReference URI of the company.Format: `<host>/Companies/<company sys_id>`, such as: `http://instance-servicenow.com/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63`.\n\nData type: String\n\n</td></tr><tr><td>\n\ncompany.value\n\n</td><td id=\"d3262e851\">\n\nSys\\_id of the associated company.Data type: String\n\n</td></tr><tr><td>\n\ndisplayName\n\n</td><td id=\"d3262e862\">\n\nHuman-readable name of the group, such as HR Team.Data type: String\n\n</td></tr><tr><td>\n\nerrors\n\n</td><td id=\"errors-SCIM-entry\">\n\nResponse that describes any errors that may have occurred during processing the request.Data type: Object\n\n```\n\"errors\": {\n  \"details\": \"String\",\n  \"schemas\": \"String\",\n  \"scimType\": \"String\",\n  \"status\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nerrors.detail\n\n</td><td id=\"errors_details-SCIM-entry\">\n\nDetailed error message on why the request failed.Data type: String\n\n</td></tr><tr><td>\n\nerrors.scimType\n\n</td><td id=\"errors_scimType-SCIM-entry\">\n\nSCIM error detail keyword.Data type: String\n\n</td></tr><tr><td>\n\nerrors.schemas\n\n</td><td id=\"errors_schemas-SCIM-entry\">\n\nURI of the SCIM Schemas used to process the error response.Data type: Array of Strings\n\n</td></tr><tr><td>\n\nerrors.status\n\n</td><td id=\"errors_status-SCIM-entry\">\n\nHTTP status code for the error response.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td id=\"d3262e874\">\n\nUnique identifier assigned to the group by the entity provisioning it.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td id=\"group_id-SCIM-entry\">\n\nSys\\_id of the group.Data type: String\n\n</td></tr><tr><td>\n\nmembers\n\n</td><td id=\"group_members-SCIM-entry\">\n\nList of the users and groups associated with the group.Data type: Array of Objects\n\n```\n\"members\": [\n  {\n    \"display\": \"String\",\n    \"value\": \"String\",\n    \"$ref\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nmembers.display\n\n</td><td id=\"group_members_display-SCIM-entry\">\n\nName of the associated group member.Data type: String\n\n</td></tr><tr><td>\n\nmembers.value\n\n</td><td id=\"group_members_value-SCIM-entry\">\n\nSys\\_id of the associated user or group record.Data type: String\n\n</td></tr><tr><td>\n\nmembers.$ref\n\n</td><td id=\"group_members_ref-SCIM-entry\">\n\nURI of the associated group member.Data type: String\n\n</td></tr><tr><td>\n\nmeta\n\n</td><td id=\"group_meta-SCIM-entry\">\n\nMetadata pertaining to the group.Data type: Object\n\n```\n\"meta\": {\n  \"created\": \"String\",\n  \"lastModified\": \"String\",\n  \"location\": String\",\n  \"resourceType\": String\"\n}\n```\n\n</td></tr><tr><td>\n\nmeta.created\n\n</td><td id=\"group_meta_created-SCIM-entry\">\n\nDate and time when the group record was created.Data type: String\n\n</td></tr><tr><td>\n\nmeta.lastModified\n\n</td><td id=\"group_meta_lastModified-SCIM-entry\">\n\nDate and time when the group record was last modified.Data type: String\n\n</td></tr><tr><td>\n\nmeta.location\n\n</td><td id=\"group_meta_location-SCIM-entry\">\n\nURI of the group being retrieved.Data type: String\n\n</td></tr><tr><td>\n\nmeta.resourceType\n\n</td><td id=\"group_meta_resourceType-SCIM-entry\">\n\nSCIM Groups' resource type.Data type: String\n\n</td></tr><tr><td>\n\nschemas\n\n</td><td id=\"group_schemas-SCIM-entry\">\n\nList of URIs of the SCIM Group schemas used to process the request.\n\nSupported group schemas:\n\n-   urn:ietf:params:scim:schemas:core:2.0:Group - Core schema specified in the Internet Engineering Task Force System for Cross-domain Identity Management: Core Schema document \\([https://datatracker.ietf.org/doc/html/rfc7643\\#section-4.2](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2)\\)\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group - ServiceNow extension schema. This schema contains attributes that are present in the Groups \\[sys\\_user\\_group\\] table in a base ServiceNow system, but are not part of the core schema.\n-   urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group” - Custom extension schema. This schema is part of “Group” resourceType in the sys\\_scim\\_schema\\_extension table. If the schema is not active, the schema URN is not returned in the response.\n\nData type: Array of Strings\n\n</td></tr></tbody>\n</table>### cURL request updating group members using PUT\n\nThe following example changes the member associated with the group to Abraham Lincoln instead of Abel Tutor and changes the name of the group to HR Team.\n\n```\ncurl \"https://instance-servicenow.com/api/now/scim/Groups/e0140d671bbe3010593876a61a4bcb11\" \\\n--request PUT \\\n--header \"Accept:application/scim+json\" \\\n--header \"Content-Type:application/scim+json\" \\\n--data \"{\n  \\\"schemas\\\": [\"urn:ietf:params:scim:schemas:core:2.0:Group\",\n    “urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group”, \n    “urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group”],\n  \\\"displayName\\\": \\\"HR Team\\\",\n  \\\"externalId\\\": \\\"8ae5dc9e-c7ad-4d3d-a152-35a6b6222b83\\\",\n  \\\"members\\\": [\n    {\n      \\\"value\\\": \\\"a8f98bb0eb32010045e1a5115206fe3a\\\",\n      \\\"$ref\\\": \\\"Users\\\"\n    }\n  ]\n}\" \n```\n\nResponse:\n\n```\n{\"schemas\":\n  [\n    \"urn:ietf:params:scim:schemas:core:2.0:Group\",\n    \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\",\n    'urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:Group'\n  ],\n  \"id\":\"e0140d671bbe3010593876a61a4bcb11\",\n  \"externalId\":\"8ae5dc9e-c7ad-4d3d-a152-35a6b6222b83\",\n  \"meta\":{\n    \"resourceType\":\"Group\",\n    \"created\":\"2021-09-30T18:20:43Z\",\n    \"lastModified\":\"2021-09-30T21:19:40Z\",\n    \"location\":\"https://instance-servicenow.com/api/now/scim/Groups/e0140d671bbe3010593876a61a4bcb11\"\n  },\n  \"displayName\":\"HR Team\",\n  \"members\":[\n    {\n      \"value\":\"a8f98bb0eb32010045e1a5115206fe3a\",\n      \"display\":\"Abraham Lincoln\",\n      \"$ref\": \"http://instance-servicenow.com/api/now/scim/Users/62826bf03710200044e0bfc8bcbe5df1\"\n    }\n  ],\n  \"urn:ietf:params:scim:schemas:extension:servicenow:2.0:Group\": {\n    \"company\": {\n      \"value\": \"81fd65ecac1d55eb42a426568fc87a63\",\n      \"name\": \"ACME Japan\",\n      \"$ref\": \"http://192.168.1.25:8080/api/now/scim/Companies/81fd65ecac1d55eb42a426568fc87a63\"\n    }\n  }\n}\n```\n\n## SCIM - DELETE /scim/Users/\\{user\\_id\\}\n\nDeletes the specified user record from the User \\[sys\\_user\\] table of a ServiceNow instance using the System for Cross-domain Identity Management \\(SCIM\\) protocol.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/scim/Users/{user_id}`\n\nDefault URL: `/api/now/scim/Users/{user_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nuser\\_id\n\n</td><td>\n\nSys\\_id of the user record to delete.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"Accept-SCIM-entry\">\n\nData format of the response body. Supported types: **application/json** or **application/scim+json**.Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|204|No Content. The request was successfully processed.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nerrors\n\n</td><td id=\"errors-SCIM-entry\">\n\nResponse that describes any errors that may have occurred during processing the request.Data type: Object\n\n```\n\"errors\": {\n  \"details\": \"String\",\n  \"schemas\": \"String\",\n  \"scimType\": \"String\",\n  \"status\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nerrors.detail\n\n</td><td id=\"errors_details-SCIM-entry\">\n\nDetailed error message on why the request failed.Data type: String\n\n</td></tr><tr><td>\n\nerrors.scimType\n\n</td><td id=\"errors_scimType-SCIM-entry\">\n\nSCIM error detail keyword.Data type: String\n\n</td></tr><tr><td>\n\nerrors.schemas\n\n</td><td id=\"errors_schemas-SCIM-entry\">\n\nURI of the SCIM Schemas used to process the error response.Data type: Array of Strings\n\n</td></tr><tr><td>\n\nerrors.status\n\n</td><td id=\"errors_status-SCIM-entry\">\n\nHTTP status code for the error response.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example shows how to delete a user record from the User \\[sys\\_user\\] table.\n\n```\ncurl \"https://instance-servicenow.com/api/now/scim/Users/b7c5015f778330102e8cc5179e5a9992\" \\\n--request DELETE \\\n--header \"Accept:application/scim+json\"  \\\n```\n\n## SCIM - GET /scim/Users\n\nReturns one or more user records from the User \\[sys\\_user\\] table within a ServiceNow instance using the System for Cross-domain Identity Management \\(SCIM\\) protocol.\n\n**Note:** A query that does not return any matches returns success \\(HTTP status code 200\\) with **totalResults** set to 0.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/scim/Users`\n\nDefault URL: `/api/now/scim/Users`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td id=\"attributes-SCIM-entry\">\n\nComma-separated list of fields to return in the response. No other fields are returned.Can't be used with the **excludedAttributes** parameter.\n\nData type: String\n\nDefault: Return all fields unless **excludedAttributes** is specified.\n\n</td></tr><tr><td>\n\ncount\n\n</td><td id=\"count-SCIM-entry\">\n\nNumber of records to return. A negative value is interpreted as zero.Data type: Number\n\nMaximum: 500 - A value greater than this results in a bad request error.\n\nDefault: 10\n\n</td></tr><tr><td>\n\nexcludedAttributes\n\n</td><td id=\"excludedAttributes-SCIM-entry\">\n\nComma-separated list of fields to exclude from the records returned in the response. All other fields are returned.Can't be used with the **attributes** parameter.\n\nData type: String\n\nDefault: Do not exclude any fields.\n\n</td></tr><tr><td>\n\nfilter\n\n</td><td id=\"user_filter-SCIM-entry\">\n\nFilter expression to apply to the return results. Field filters are expressed as `<field_name> <operator> <\"value\">`. Refer to [RFC7644](https://datatracker.ietf.org/doc/html/rfc7644#section-3.4.2) for a list of the valid operators. **Note:** The `NOT` operator is not supported.\n\nFor example, to filter for all users whose name starts with \"Jo\", enter `userName SW \"jo\"` \\(case-insensitive\\).\n\nTo specify more than one field filter, concatenate the filters using the `AND` operand. For example, to filter for all users whose name starts with \"Jo\" and whose last name contains \"smi\", enter `userName SW \"john\" AND name.familyName CO \"smi\"`. Use dot-walking to specify nested attributes.\n\nOnly the following SCIM user fields are available for use in filters and some, as noted, only support fixed format:\n\n-   active\n-   addresses - Fixed format only, such as:\n    -   \\[type eq \"home\" and streetAddress eq \"xxxx\"\\]\n    -   \\[type eq \"home\" and locality eq \"xxxx\"\\]\n    -   \\[type eq \"home\" and region eq \"xxxx\"\\]\n    -   \\[type eq \"home\" and postalCode eq \"xxxx\"\\]\n    -   \\[type eq \"home\" and country eq \"xxxx\"\\]\n-   displayName\n-   emails - Fixed format only, such as: \\[type eq \"work\" and value eq \"emailValue\"\\]\n-   externalId - Only `EQ` operator is supported.\n-   id\n-   meta.created\n-   meta.lastModified\n-   name.familyName\n-   name.givenName\n-   name.middleName\n-   preferredLanguage\n-   phoneNumbers - Fixed format only, such as:\n    -   \\[type eq “work” and value eq “xxxx”\\]\n    -   \\[type eq “mobile” and value eq “xxxx”\\]\n    -   \\[type eq “home” and value eq “xxxx”\\]\n-   timezone\n-   title\n-   userName\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:employeeNumber\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:gender\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:department.name\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:department.value\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:manager.displayName\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:manager.value\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:costCenter.name\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:costCenter.value\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:company.name\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:company.value\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:location.name\n-   urn:ietf:params:scim:schemas:extension:servicenow:2.0:User:location.value\n\nData type: String\n\nDefault: No filtering\n\n</td></tr><tr><td>\n\nsortBy\n\n</td><td id=\"user_sortBy-SCIM-entry\">\n\nMust be specified with the **sortOrder** parameter. Field by which to sort the return results. Sorting is case-insensitive. You can only use the parameters available for filtering for the **sortBy** parameter, with the exception of **externalId**, which is not allowed.\n\nAlso, only the following dot-walked parameters are supported:\n\n-   **addressess** - Only the following values are allowed:\n    -   **addresses.streetAddress** - Maps to home street address.\n    -   **addresses.home.streetAddress**\n    -   **addresses.locality** - Maps to home locality.\n    -   **addresses.home.locality**\n    -   **addresses.region** - Maps to home region.\n    -   **addresses.home.region**\n    -   **addresses.postalCode** - Maps to home postal code.\n    -   **addresses.home.postalCode**\n    -   **addresses.country** - Maps to home country.\n    -   **addresses.home.country**\n-   **emails** - Only the following values are allowed:\n    -   **emails.value** - Maps to the email type work.\n    -   **emails.work.value**\n-   **phoneNumbers** - Only the following values are allowed:\n    -   **phoneNumbers.value** - Maps to the phone number type work.\n    -   **phoneNumbers.home.value**\n    -   **phoneNumbers.mobile.value**\n    -   **phoneNumbers.work.value**\n\nFor values that are null:\n\n-   sorted by ascending - Null values are sorted to the top.\n-   sorted by descending - Null values are sorted to the bottom.\n\nData type: String\n\nDefault: No sort performed\n\n</td></tr><tr><td>\n\nsortOrder\n\n</td><td id=\"sortOrder-SCIM-entry\">\n\nMust be specified with the **sortBy** parameter. Order in which the **sortBy** parameter is applied to the return results. Valid values:\n\n-   ascending\n-   descending\n\nData type: String\n\nDefault: ascending\n\n</td></tr><tr><td>\n\nstartIndex\n\n</td><td id=\"user_startIndex-SCIM-entry\">\n\nOne-based index into the User \\[sys\\_user\\] table at which to start retrieving records. For example, if you set this parameter to 100, and the **count** parameter to 20, the endpoint returns records 100 through 119. **Note:** Any value that is set to less than one is interpreted as one.\n\nNot valid with the **id** path parameter.\n\nData type: String\n\nDefault: 1\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"Accept-SCIM-entry\">\n\nData format of the response body. Supported types: **appli
[...]
